﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
  <title>WebForm3</title>
    <style type="text/css">
        body
        {
            font-size:9pt;
            text-align:center;
            line-height:23pt;
        }
        #container input
        {
            border-type:solid;
            border-width:1px;
            border-color:dimgray;
        }
        .fileObj:hover
        {
            border-type:inherit;
            border-width:1px;
            border-color:dimgray;
            background-color:#eeeeff;
        }
    </style>
  <script type="text/javascript" language="javascript">
  <!--
  
    //setFileObj()는 지정한 숫자만큼 <input type="file">컨트롤을 생성한다.
    //매개변수1 : InnerHTML이 적용될 수 있수있는 객체이름. 여기서 지정한 공간에 Input태그가 입력된다.
    //매개변수2 : 입력될 Input태그의 개수
    //매개변수3 : <input type="file" />의 class와 name속성에 지정해줄 값. name속성의 경우 fileObjName + 숫자로 이름이 지정된다.
    function setFileObj(objInnerHTMLName, size, fileObjName) 
    {
        var strHTML = "";
        for (i = 0; i < size; i++)
            strHTML += "<input type='file' class='" + fileObjName + "' name='" + fileObjName + i + "' /><br>";

        document.all(objInnerHTMLName).innerHTML = strHTML;
    }
  -->
  </script>
</head>
<body>
    <!-- enctype="multipart/form-data" 중요 -->
    <form method="post" enctype="multipart/form-data" runat="server">
    <div id="container">
        <!-- 파일업로드 컨트롤 -->
        <div id="divFile">
            <input type="file" name="fileObj0" class="fileObj" />
            <br />
        </div>
        
        <!-- 파일업로드 컨트롤의 개수 지정 및 전송 버튼 -->
        <div id="divOthers">
            파일 수 : &nbsp;
            <select onchange="setFileObj('divFile', this(this.selectedIndex).text, 'fileObj')">
                <option selected>1</option>
                <option>2</option>
                <option>3</option>
                <option>4</option>
                <option>5</option>
            </select>
            <br />
            <asp:Button id="btSave" runat="server" Text="전송"></asp:Button>
        </div>
        
        
        <div id="divMsg"></div>
    </div>
    </form>
</body>
</html>
